---
title: NutraUHealth Communication channels
header: Communication Channels
subheader: videos and mix media
teaser-img: comm.jpg
#tagline: page-tagline
content: abc...
layout: page
next:
 url: partners.html
 menu: Partners
blog:
 url: new-u-ideas.html
 menu: New U Ideas
---
<script>
 let og_image;
 let hash = document.location.hash.slice(1);
 if (hash) {
  og_image = `assets/img/${hash}-teaser.jpg`;
 } else {
  og_image = `assets/img/{{site.data.bios.colleen.photo}}`;
 }
 document.getElementById('teaser').src=og_image;
 document.getElementById('teaser').title = hash;
 document.getElementById('og_image').content= og_image
 console.log('og_image:',og_image)
 
</script>
<!-- Media ... -->
<section class="media-section bg-light" id="media">
   <div class="container">
      <div class="row justify-content-center no-gutters mb-5 mb-lg-0">
         <div class="col-lg-6 bg-black">
        <!--img class="img-fluid" src="{{site.data.media.videos.medium1.thumbnail}}" alt="" / -->
<div class="player content">
<div id=player> Watch YouTube Video {{site.data.media.videos.medium1.vid}} w/o Advertisements !</div>
</div>
</div>

         <div class="col-lg-6">
            <div class="bg-black text-center h-100 media">
               <div class="d-flex h-100">
                  <div class="offering-text w-100 my-auto text-center text-lg-left padded">
                     <h4 class="text-white-50">{{site.data.media.videos.medium1.title}}</h4>
                     <div class="mb-0 text-white">{{site.data.media.videos.medium1.content | markdownify }}</div>
                     <hr class="d-none d-lg-block mb-0 ml-0" />
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</section>


<script>
 var origin = document.location.origin;
 var fragment = "{{site.data.media.videos.medium1.vid}}";
      var tag = document.createElement('script');
      tag.src = "https://www.youtube.com/iframe_api";
      var firstScriptTag = document.getElementsByTagName('script')[0];
      firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

      var player;
      var id = 0;
      function onYouTubeIframeAPIReady() {
        player = new YT.Player('player', {
          frameborder: '3px',
          videoId: fragment,
          playerVars: {
            theme: "light",
            modestbranding: 1, // No You Tube logo on control bar
            autoplay: 1,
            loop: 1,
            mute: 0,
            shufflePlaylist: 1,
            enablejsapi: 1,
            volume: '50%',
            origin: origin
          },
          events: {
            'onStateChange': onPlayerStateChange,
            'onReady': onPlayerReady

          }
        });
      }

function onPlayerReady(event) {
  event.target.playVideo()
  //player.unmute()
}
function searchVideo(query) {
  player.cuePlaylist({listType:'search', list:query,
                    index:1, startSeconds:1})
  player.setShuffle({'shufflePlaylist' : true});
}

function onPlayerStateChange(event) {
    changeBorderColor(event.data);
    if (event.data == YT.PlayerState.ENDED) {
      console.log('ended')
    } else if (event.data == YT.PlayerState.CUED) {
      console.log('cued');
    } else if (event.data = YT.PlayerState.UNSTARTED) {
      console.log('unstarted');
    } else {
      console.log(event)
    }

}

function changeBorderColor(playerStatus) {
    var color;
    if (playerStatus == -1) {
      color = "#37474F"; // unstarted = gray
    } else if (playerStatus == 0) {
      color = "#FFFF00"; // ended = yellow
    } else if (playerStatus == 1) {
      color = "#33FF1E"; // playing = green
    } else if (playerStatus == 2) {
      color = "#DD2C00"; // paused = red
    } else if (playerStatus == 3) {
      color = "#AA00FF"; // buffering = purple
    } else if (playerStatus == 5) {
      color = "#EF6D00"; // video cued = orange
    }
    if (color) {
      document.getElementById('player').style.borderColor = color;
    }
}

</script>
